Qt 5.7 | Qt 3D | C++ Classes | QPropertyValueRemovedChangeBase

Qt 5.7.1 Reference Documentation

# QPropertyValueRemovedChangeBase Class

(Qt3DCore::QPropertyValueRemovedChangeBase)

The QPropertyValueRemovedChangeBase class is the base class for all PropertyValueRemoved QSceneChange events More...

Header: | #include <QPropertyValueRemovedChangeBase>
qmake: | QT += 3dcore
Inherits: | QSceneChange
Inherited By: | Qt3DCore::QStaticPropertyValueRemovedChangeBase

- List of all members, including inherited members

## Public Functions

| ~QPropertyValueRemovedChangeBase()

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QPropertyValueRemovedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QPropertyValueRemovedChangeBasePtr

## Detailed Description

The QPropertyValueRemovedChangeBase class is the base class for all PropertyValueRemoved QSceneChange events

The QPropertyValueRemovedChangeBase class is the base class for all QSceneChange events that have the changeType() PropertyValueRemoved. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QPropertyNodeRemovedChange.

You can subclass this to create your own node Removed types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### `[protected]` QPropertyValueRemovedChangeBase::QPropertyValueRemovedChangeBase(QNodeId subjectId)

Constructs a new QPropertyValueRemovedChangeBase with subjectId

### QPropertyValueRemovedChangeBase::~QPropertyValueRemovedChangeBase()

Destroys the instance of QPropertyValueRemovedChangeBase.

## Related Non-Members

### typedef Qt3DCore::QPropertyValueRemovedChangeBasePtr

A shared pointer for QPropertyValueRemovedChangeBase.